DADA2: mismatched fwd and rev reads

Hi,
I have same issue while running DADA2 in R on MacOS

(qiime2-2017.11) nedonoiMac:joinpairnonbarcode ruby$ qiime dada2 denoise-paired --i-demultiplexed-seqs paired-end-CSC-demux.qza --o-table table --o-representative-sequences rep-seqs --p-trim-left-f 18 --p-trim-left-r 21 --p-trunc-len-f 200  --p-trunc-len-r 175
Plugin error from dada2:

  An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/qiime2-q2cli-err-5t5x9zdx.log
(qiime2-2017.11) nedonoiMac:joinpairnonbarcode ruby$ qiime dada2 denoise-paired --i-demultiplexed-seqs paired-end-CSC-demux.qza --o-table table --o-representative-sequences rep-seqs --p-trim-left-f 18 --p-trim-left-r 21 --p-trunc-len-f 200  --p-trunc-len-r 175 --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/forward /var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/reverse /var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/output.tsv.biom /var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/filt_f /var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/filt_r 200 175 18 21 2.0 2 consensus 1.0 1 1000000

 起動準備中です -  警告メッセージ: 
1: Setting LC_COLLATE failed, using "C" 
2: Setting LC_TIME failed, using "C" 
3: Setting LC_MESSAGES failed, using "C" 
4: Setting LC_MONETARY failed, using "C" 
R version 3.3.2 (2016-10-31) 
 要求されたパッケージ Rcpp をロード中です 
 50 件以上の警告がありました (最初の 50 個の警告を見るには warnings() を使って下さい) 
DADA2 R package version: 1.4.0 
1) Filtering ......... fastqPairedFilter(c(unfiltsF[[i]], unfiltsR[[i]]), c(filteredFastqF,  でエラー: 
  Mismatched forward and reverse sequence files: 176300 ,  170169.
 実行が停止されました 
Traceback (most recent call last):
  File "/Users/ruby/miniconda2/envs/qiime2-2017.11/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 179, in denoise_paired
    run_commands([cmd])
  File "/Users/ruby/miniconda2/envs/qiime2-2017.11/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 35, in run_commands
    subprocess.run(cmd, check=True)
  File "/Users/ruby/miniconda2/envs/qiime2-2017.11/lib/python3.5/subprocess.py", line 398, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/forward', '/var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/reverse', '/var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/output.tsv.biom', '/var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/filt_f', '/var/folders/2w/vhr0994d7fj3zdr08mt2py200000gp/T/tmp05a12ngi/filt_r', '200', '175', '18', '21', '2.0', '2', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/ruby/miniconda2/envs/qiime2-2017.11/lib/python3.5/site-packages/q2cli/commands.py", line 218, in __call__
    results = action(**arguments)
  File "<decorator-gen-354>", line 2, in denoise_paired
  File "/Users/ruby/miniconda2/envs/qiime2-2017.11/lib/python3.5/site-packages/qiime2/sdk/action.py", line 220, in bound_callable
    output_types, provenance)
  File "/Users/ruby/miniconda2/envs/qiime2-2017.11/lib/python3.5/site-packages/qiime2/sdk/action.py", line 355, in _callable_executor_
    output_views = self._callable(**view_args)
  File "/Users/ruby/miniconda2/envs/qiime2-2017.11/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 194, in denoise_paired
    " and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

  An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

I also removing the primer in the command. Is there any suggestion to solve this error?

Ruby

Hi @Setiawan,

It looks like something is up with paired-end-CSC-demux.qza as there are some mismatched reads.

How did you import your data?

Are you refering to just your trim-left parameters, or did you use an extra step that filters in some way?

Hi @ebolyen,

I import my data from fastq file into qiime2 artifact .qza using this tutorial, because my I don’t get a barcode fastq file, I think the barcode sequence in my results already trimmed by the company.

just my trim-left parameter

Hey @Setiawan,

Sorry, that tutorial has a couple of different ways of importing. Which one specifically did you use? (If you give me the --type/--source-format I can work it out from there).

Could you also post an example of what the data looked like when it was given to you? For example if it was in a single directory, what does ls show? Screenshots would also be fine if that’s easier.

I’m worried that maybe your sequencing company did some extra step that we need to be aware of (or work around).

Perfect! That’s applied uniformly to every read, so it isn’t the issue. Thanks!

Hi @ebolyen

I am using --type 'SampleData[PairedEndSequencesWithQuality]' and -source-format PairedEndFastqManifestPhred33

Thank you

Hi @Setiawan,

Thanks for the info and screenshot! My first guess is one of the forward or reverse files got transposed with another sample, and that’s why DADA2 is seeing the mismatched sequences after processing ~10 samples.

Would you be able to post your manifest file that you used to import? Thanks!

1 Like

Hi @ebolyen,

This is my manifest file

Thank you

1 Like

Hey @Setiawan,

I think I found the issue! The line with sample TN501 for the reverse side has the wrong filepath. It lists TN502_2.fastq.gz instead of TN501_2.fastq.gz.

It’s an easy typo to make. You should be able to switch that 2 for a 1 and then reimport your data with this newly edited manifest.

Hope that helps!

1 Like

Hi @ebolyen,

Thank you recognizing that typo. I already re-import my data and run DADA2. Right now I’m still waiting for the results and successfully pass the Filtering stage.

2 Likes

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.